%{?nodejs_find_provides_and_requires}

%global packagename gulp-sourcemaps

# Tests disabled due to missing dependencies
%global enable_tests 0

Name:		nodejs-gulp-sourcemaps
Version:	2.6.0
Release:	1%{?dist}
Summary:	Source map support for Gulp.js

License:	ISC
URL:		https://github.com/floridoo/gulp-sourcemaps.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	scripts-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(acorn)
BuildRequires:	npm(convert-source-map)
BuildRequires:	npm(detect-newline)
BuildRequires:	npm(strip-bom)
BuildRequires:	npm(strip-bom-string)
BuildRequires:	npm(through2)
BuildRequires:	npm(vinyl)
%if 0%{?enable_tests}
BuildRequires:	npm(tape)
BuildRequires:	npm(graceful-fs)
BuildRequires:	npm(mississippi)
%endif

%description
Source map support for Gulp.js


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package

%nodejs_fixdep -r @gulp-sourcemaps/identity-map
%nodejs_fixdep -r @gulp-sourcemaps/map-sources

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%{_bindir}/tape test/*.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}


%changelog
* Wed Apr 19 2017 Jared Smith <jsmith@fedoraproject.org> - 2.6.0-1
- Update to upstream 2.6.0 release

* Mon Feb 22 2016 Jared Smith <jsmith@fedoraproject.org> - 1.6.0-1
- Initial packaging
